from django.contrib import admin
from .models import Upload, Fish


# Register your models here.
# admin.site.register(Upload)
@admin.register(Upload)
class UploadAdmin(admin.ModelAdmin):
    list_display = ('timestamp', 'uploader', 'public', 'file_type', 'file')
    list_filter = ['public', 'uploader']


# admin.site.register(Fish)
@admin.register(Fish)
class FishAdmin(admin.ModelAdmin):
    list_display = ('id', 'species_name', 'fish_length', 'fish_weight',
                    'date_caught', 'gps_coordinates', 'other_comments',
                    'upload')
