from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from table.models import Fish, Upload

# UserCreation Forms with extra fields guide from
# https://dev.to/coderasha/create-advanced-user-sign-up-view-in-django-step-by-step-k9m


class SignUpForm(UserCreationForm):
    email = forms.EmailField(max_length=254)

    class Meta:
        model = User
        fields = ('username', 'email', 'password1', 'password2',)