from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.welcome, name='welcome'),
    path('PublicTable/', views.PublicTable.as_view(), name='PublicTable'),
    path('UserTable/', views.UserTable.as_view(), name='UserTable'),
    path('Uploads/', views.Uploads.as_view(), name='Uploads'),
    path('Account/', views.Account.as_view(), name='Account'),
    path('Map/', views.Map.as_view(), name='Map'),
    path('Summary/', views.Summary.as_view(), name='Summary'),
    path('fish/create/', views.FishCreate.as_view(), name='fish-create'),
    path('upload/create/', views.UploadCreate.as_view(), name='upload-create'),
    path('sign-up', views.signup_view, name='registration'),
]
